<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.8
Name: Prescription Type Entry Content Module
Description: Angabe ob Neuverordnung oder Weiterverordnung
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.8-2016-07-13T102927">
   <title>Prescription Type Entry Content Module</title>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.8
Context: *[*[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.8']]
Item: (CH-EMED-PrescriptionTypeEntryContentModule)
-->

   <rule context="*[*[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.8']]"
         id="d114e4237-false-d27761e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160713T221725/tmp-2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.8-2016-07-13T102927.html"
              test="count(hl7:text)&lt;=1">(CH-EMED-PrescriptionTypeEntryContentModule): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.8
Context: *[*[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.8']]/hl7:act[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.8']
Item: (CH-EMED-PrescriptionTypeEntryContentModule)
-->

   <rule context="*[*[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.8']]/hl7:act[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.8']"
         id="d114e4273-false-d27788e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160713T221725/tmp-2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.8-2016-07-13T102927.html"
              test="string(@classCode)=('ACT')">(CH-EMED-PrescriptionTypeEntryContentModule): Der Wert von @classCode MUSS 'ACT' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160713T221725/tmp-2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.8-2016-07-13T102927.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(CH-EMED-PrescriptionTypeEntryContentModule): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160713T221725/tmp-2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.8-2016-07-13T102927.html"
              test="string(@moodCode)=('INT')">(CH-EMED-PrescriptionTypeEntryContentModule): Der Wert von @moodCode MUSS 'INT' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160713T221725/tmp-2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.8-2016-07-13T102927.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(CH-EMED-PrescriptionTypeEntryContentModule): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160713T221725/tmp-2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.8-2016-07-13T102927.html"
              test="count(hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.8'])&gt;=1">(CH-EMED-PrescriptionTypeEntryContentModule): Element hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.8'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160713T221725/tmp-2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.8-2016-07-13T102927.html"
              test="count(hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.8'])&lt;=1">(CH-EMED-PrescriptionTypeEntryContentModule): Element hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.8'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160713T221725/tmp-2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.8-2016-07-13T102927.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.756.5.30.1.127.77.4.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor])&gt;=1">(CH-EMED-PrescriptionTypeEntryContentModule): Element hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.756.5.30.1.127.77.4.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160713T221725/tmp-2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.8-2016-07-13T102927.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.756.5.30.1.127.77.4.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor])&lt;=1">(CH-EMED-PrescriptionTypeEntryContentModule): Element hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.756.5.30.1.127.77.4.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.8
Context: *[*[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.8']]/hl7:act[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.8']/hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.8']
Item: (CH-EMED-PrescriptionTypeEntryContentModule)
-->

   <rule context="*[*[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.8']]/hl7:act[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.8']/hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.8']"
         id="d114e4279-false-d27838e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160713T221725/tmp-2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.8-2016-07-13T102927.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CH-EMED-PrescriptionTypeEntryContentModule): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160713T221725/tmp-2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.8-2016-07-13T102927.html"
              test="string(@root)=('2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.8')">(CH-EMED-PrescriptionTypeEntryContentModule): Der Wert von @root MUSS '2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.8' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160713T221725/tmp-2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.8-2016-07-13T102927.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(CH-EMED-PrescriptionTypeEntryContentModule): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.8
Context: *[*[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.8']]/hl7:act[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.8']/hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.756.5.30.1.127.77.4.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]
Item: (CH-EMED-PrescriptionTypeEntryContentModule)
-->

   <rule context="*[*[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.8']]/hl7:act[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.8']/hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.756.5.30.1.127.77.4.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]"
         id="d114e4284-false-d27861e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160713T221725/tmp-2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.8-2016-07-13T102927.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CH-EMED-PrescriptionTypeEntryContentModule): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160713T221725/tmp-2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.8-2016-07-13T102927.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.756.5.30.1.127.77.4.11.1-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CH-EMED-PrescriptionTypeEntryContentModule): Der Elementinhalt MUSS einer von '2.16.756.5.30.1.127.77.4.11.1 PrescriptionType (DYNAMIC)' sein.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.756.5.30.1.127.77.4.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160713T221725/tmp-2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.8-2016-07-13T102927.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CH-EMED-PrescriptionTypeEntryContentModule): Der fehlende Wert '<value-of select="@nullFlavor"/>' für @code MUSS gewählt werden aus dem Set gültiger null flavors für dieses Attribut oder denen assoziiert mit Value Set 2.16.756.5.30.1.127.77.4.11.1 PrescriptionType (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.8
Context: *[*[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.8']]/hl7:text
Item: (CH-EMED-PrescriptionTypeEntryContentModule)
-->

   <rule context="*[*[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.8']]/hl7:text"
         id="d114e4290-false-d27890e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160713T221725/tmp-2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.8-2016-07-13T102927.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CH-EMED-PrescriptionTypeEntryContentModule): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160713T221725/tmp-2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.8-2016-07-13T102927.html"
              test="count(hl7:reference)&lt;=1">(CH-EMED-PrescriptionTypeEntryContentModule): Element hl7:reference kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.8
Context: *[*[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.8']]/hl7:text/hl7:reference
Item: (CH-EMED-PrescriptionTypeEntryContentModule)
-->
</pattern>
