<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.5
Name: Treatment State Entry Content Module
Description: Der „Status der Medikation“ hat für einen nachfolgend Behandelnden eine wichtige
      Bedeutung. Mit Hilfe des Status wird für jedes Arzneimittel eines Patienten zum
      Beispiel ersichtlich durch wen es neu verordnet, gegebenenfalls substituiert oder
      abgesetzt wurde. Weitere Details zu diesen Änderungen können allenfalls der Medication History entnommen werden.

      Der Status der Medikation, so wie er in Kapitel 5.1.1 eingeführt wurde, ist sowohl innerhalb der Arbeitsgruppe als auch zwischen den IPAG-Arbeitsgruppen eMedikation und eAustrittsbericht noch nicht abschliessend diskutiert worden. 
      In dieser ersten Version kann der Status als Texteintrag referenziert werden, in einer nächsten Version wird ein Valueset erarbeitet.


    
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.5-2016-06-13T164453">
   <title>Treatment State Entry Content Module</title>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.5
Context: *[hl7:act[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.5']]
Item: (CH-EMED-TreatmentStateEntryContentModule)
-->

   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.5
Context: *[hl7:act[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.5']]/hl7:act[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.5' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.40' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']
Item: (CH-EMED-TreatmentStateEntryContentModule)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.5']]/hl7:act[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.5' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.40' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']"
         id="d114e3993-false-d27298e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160713T221725/tmp-2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.5-2016-06-13T164453.html"
              test="string(@classCode)=('ACT')">(CH-EMED-TreatmentStateEntryContentModule): Der Wert von @classCode MUSS 'ACT' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160713T221725/tmp-2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.5-2016-06-13T164453.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(CH-EMED-TreatmentStateEntryContentModule): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160713T221725/tmp-2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.5-2016-06-13T164453.html"
              test="string(@moodCode)=('EVN')">(CH-EMED-TreatmentStateEntryContentModule): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160713T221725/tmp-2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.5-2016-06-13T164453.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(CH-EMED-TreatmentStateEntryContentModule): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160713T221725/tmp-2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.5-2016-06-13T164453.html"
              test="count(hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.5'])&gt;=1">(CH-EMED-TreatmentStateEntryContentModule): Element hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.5'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160713T221725/tmp-2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.5-2016-06-13T164453.html"
              test="count(hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.5'])&lt;=1">(CH-EMED-TreatmentStateEntryContentModule): Element hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.5'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160713T221725/tmp-2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.5-2016-06-13T164453.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.20.1.40'])&gt;=1">(CH-EMED-TreatmentStateEntryContentModule): Element hl7:templateId[@root='2.16.840.1.113883.10.20.1.40'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160713T221725/tmp-2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.5-2016-06-13T164453.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.20.1.40'])&lt;=1">(CH-EMED-TreatmentStateEntryContentModule): Element hl7:templateId[@root='2.16.840.1.113883.10.20.1.40'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160713T221725/tmp-2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.5-2016-06-13T164453.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.2'])&gt;=1">(CH-EMED-TreatmentStateEntryContentModule): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.2'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160713T221725/tmp-2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.5-2016-06-13T164453.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.2'])&lt;=1">(CH-EMED-TreatmentStateEntryContentModule): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.2'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160713T221725/tmp-2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.5-2016-06-13T164453.html"
              test="count(hl7:code[(@code='48767-8' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&gt;=1">(CH-EMED-TreatmentStateEntryContentModule): Element hl7:code[(@code='48767-8' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160713T221725/tmp-2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.5-2016-06-13T164453.html"
              test="count(hl7:code[(@code='48767-8' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&lt;=1">(CH-EMED-TreatmentStateEntryContentModule): Element hl7:code[(@code='48767-8' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160713T221725/tmp-2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.5-2016-06-13T164453.html"
              test="count(hl7:text[not(@nullFlavor)])&gt;=1">(CH-EMED-TreatmentStateEntryContentModule): Element hl7:text[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160713T221725/tmp-2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.5-2016-06-13T164453.html"
              test="count(hl7:text[not(@nullFlavor)])&lt;=1">(CH-EMED-TreatmentStateEntryContentModule): Element hl7:text[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160713T221725/tmp-2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.5-2016-06-13T164453.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&gt;=1">(CH-EMED-TreatmentStateEntryContentModule): Element hl7:statusCode[@code='completed'][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160713T221725/tmp-2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.5-2016-06-13T164453.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&lt;=1">(CH-EMED-TreatmentStateEntryContentModule): Element hl7:statusCode[@code='completed'][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.5
Context: *[hl7:act[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.5']]/hl7:act[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.5' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.40' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']/hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.5']
Item: (CH-EMED-TreatmentStateEntryContentModule)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.5']]/hl7:act[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.5' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.40' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']/hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.5']"
         id="d114e4002-false-d27394e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160713T221725/tmp-2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.5-2016-06-13T164453.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CH-EMED-TreatmentStateEntryContentModule): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160713T221725/tmp-2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.5-2016-06-13T164453.html"
              test="string(@root)=('2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.5')">(CH-EMED-TreatmentStateEntryContentModule): Der Wert von @root MUSS '2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.5' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160713T221725/tmp-2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.5-2016-06-13T164453.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(CH-EMED-TreatmentStateEntryContentModule): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.5
Context: *[hl7:act[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.5']]/hl7:act[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.5' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.40' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']/hl7:templateId[@root='2.16.840.1.113883.10.20.1.40']
Item: (CH-EMED-TreatmentStateEntryContentModule)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.5']]/hl7:act[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.5' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.40' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']/hl7:templateId[@root='2.16.840.1.113883.10.20.1.40']"
         id="d114e4019-false-d27415e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160713T221725/tmp-2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.5-2016-06-13T164453.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CH-EMED-TreatmentStateEntryContentModule): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160713T221725/tmp-2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.5-2016-06-13T164453.html"
              test="string(@root)=('2.16.840.1.113883.10.20.1.40')">(CH-EMED-TreatmentStateEntryContentModule): Der Wert von @root MUSS '2.16.840.1.113883.10.20.1.40' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160713T221725/tmp-2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.5-2016-06-13T164453.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(CH-EMED-TreatmentStateEntryContentModule): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.5
Context: *[hl7:act[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.5']]/hl7:act[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.5' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.40' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']
Item: (CH-EMED-TreatmentStateEntryContentModule)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.5']]/hl7:act[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.5' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.40' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']"
         id="d114e4025-false-d27436e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160713T221725/tmp-2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.5-2016-06-13T164453.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CH-EMED-TreatmentStateEntryContentModule): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160713T221725/tmp-2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.5-2016-06-13T164453.html"
              test="string(@root)=('1.3.6.1.4.1.19376.1.5.3.1.4.2')">(CH-EMED-TreatmentStateEntryContentModule): Der Wert von @root MUSS '1.3.6.1.4.1.19376.1.5.3.1.4.2' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160713T221725/tmp-2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.5-2016-06-13T164453.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(CH-EMED-TreatmentStateEntryContentModule): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.5
Context: *[hl7:act[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.5']]/hl7:act[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.5' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.40' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']/hl7:code[(@code='48767-8' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]
Item: (CH-EMED-TreatmentStateEntryContentModule)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.5']]/hl7:act[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.5' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.40' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']/hl7:code[(@code='48767-8' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]"
         id="d114e4030-false-d27457e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160713T221725/tmp-2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.5-2016-06-13T164453.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CH-EMED-TreatmentStateEntryContentModule): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160713T221725/tmp-2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.5-2016-06-13T164453.html"
              test="@nullFlavor or (@code='48767-8' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Annotation Comment' and @codeSystemName='LOINC')">(CH-EMED-TreatmentStateEntryContentModule): Der Elementinhalt MUSS einer von 'code '48767-8' codeSystem '2.16.840.1.113883.6.1' displayName='Annotation Comment' codeSystemName='LOINC'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.5
Context: *[hl7:act[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.5']]/hl7:act[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.5' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.40' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']/hl7:text[not(@nullFlavor)]
Item: (CH-EMED-TreatmentStateEntryContentModule)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.5']]/hl7:act[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.5' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.40' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']/hl7:text[not(@nullFlavor)]"
         id="d114e4035-false-d27478e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160713T221725/tmp-2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.5-2016-06-13T164453.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CH-EMED-TreatmentStateEntryContentModule): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.5
Context: *[hl7:act[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.5']]/hl7:act[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.5' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.40' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']/hl7:statusCode[@code='completed'][not(@nullFlavor)]
Item: (CH-EMED-TreatmentStateEntryContentModule)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.5']]/hl7:act[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.5' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.40' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']/hl7:statusCode[@code='completed'][not(@nullFlavor)]"
         id="d114e4058-false-d27492e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160713T221725/tmp-2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.5-2016-06-13T164453.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CH-EMED-TreatmentStateEntryContentModule): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160713T221725/tmp-2.16.756.5.30.1.1.1.1.3.10.2.10.10.4.5-2016-06-13T164453.html"
              test="@nullFlavor or (@code='completed')">(CH-EMED-TreatmentStateEntryContentModule): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
</pattern>
